Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZISBNGroup Class Reference

The class eZISBNGroup handles ISBN Registration groups. More...

Inheritance diagram for eZISBNGroup:

## Static Public Member Functions
static | definition ()
static | create ( $groupNumber, $description="")
static | removeByID ( $id)
static | fetchList ( $asObject=true)
static | fetchByGroup ( $groupNumber, $asObject=true)
static | cleanAll ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Additional Inherited Members
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

The class eZISBNGroup handles ISBN Registration groups.

Contains a list of registration numbers that exists for each area. The registration group is the second field of an ISBN-13 number. Example: 978-0-11-000222-4 where 0 is the registration group number.

The different Registration numbers are described in more detail at http://www.isbn-international.org

Definition at line 23 of file ezisbngroup.php.

## Member Function Documentation

## ◆ cleanAll()

static eZISBNGroup::cleanAll | ( |  | ) |
| static

Removes all ISBN groups from the database.

Definition at line 114 of file ezisbngroup.php.

References definition(), and eZDB\instance().

Referenced by eZISBNType\cleanDBDataBeforeImport().

## ◆ create()

static eZISBNGroup::create | ( |  | $groupNumber,
|  |  | $description = `""`
| ) |  |
| static

Create a new area for an ISBN number.

Parameters

  $groupNumber | is the unique identifier for the area. Could be from 1 to 5 digits.
  $description | a small description of the registration group area.

Returns
  a new eZISBNGroup object containing group number and a description.

Definition at line 57 of file ezisbngroup.php.

## ◆ definition()

static eZISBNGroup::definition | ( |  | ) |
| static

returns a definition of the ISBN group.

Reimplemented from eZPersistentObject.

Definition at line 29 of file ezisbngroup.php.

Referenced by cleanAll(), fetchByGroup(), fetchList(), and removeByID().

## ◆ fetchByGroup()

static eZISBNGroup::fetchByGroup | ( |  | $groupNumber,
|  |  | $asObject = `true`
| ) |  |
| static

Parameters

  $groupNumber | is the unique number of the Registration group area.
  $asObject | Whether if the result should be sent back as objects or an array.

Returns
  the group range list for ISBN groups.

Definition at line 96 of file ezisbngroup.php.

References eZPersistentObject\count(), definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZISBN13\extractISBNNumber().

## ◆ fetchList()

static eZISBNGroup::fetchList | ( |  | $asObject = `true` | ) |
| static

Parameters

  $asObject | Whether if the result should be sent back as objects or an array.

Returns
  the group range list for ISBN groups.

Definition at line 82 of file ezisbngroup.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZISBN13\attribute().

## ◆ removeByID()

static eZISBNGroup::removeByID | ( |  | $id | ) |
| static

Removes the ISBN group based on ID $id.

Parameters

  $id | is the id the object will be removed based on.

Definition at line 71 of file ezisbngroup.php.

References definition(), and eZPersistentObject\removeObject().

The documentation for this class was generated from the following file:

- ezisbngroup.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.